# if you want to build this packge for ARM
# use REAL hardware
# abf - external nodes - all

Summary:	C# Mono Qt 4 bindings
Name:		qyoto
Version:	4.14.3
Release:	2
Epoch:		1
License:	GPL+
Group:		Development/KDE and Qt
Url:		https://projects.kde.org/projects/kde/kdebindings/csharp/qyoto
Source0:	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
# Fix build with mono 3.x
Patch0:		qyoto-4.14.3-qdbus-non-generic.patch
BuildRequires:	cmake
BuildRequires:	kde4-macros
BuildRequires:	kdelibs4-devel >= 2:%{version}
BuildRequires:	smokegen-devel >= 1:%{version}
BuildRequires:	smokeqt-devel >= 1:%{version}
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(phonon)
BuildRequires:	pkgconfig(qimageblitz) < 5.0.0
BuildRequires:	qscintilla-qt4-devel
Provides:	mono-qt4 = %{EVRD}

%description
.NET/Mono bindings for the Qt libraries.

%files
%{_prefix}/lib/mono/qyoto/qt-dotnet.dll
%{_prefix}/lib/mono/qyoto/qscintilla.dll
%{_prefix}/lib/mono/qyoto/qtscript.dll
%{_prefix}/lib/mono/qyoto/qtuitools.dll
%{_prefix}/lib/mono/qyoto/qtwebkit.dll
%{_prefix}/lib/mono/qyoto/qttest.dll
%{_prefix}/lib/mono/qyoto/phonon.dll
%{_prefix}/lib/mono/gac/qttest
%{_prefix}/lib/mono/gac/qt-dotnet
%{_prefix}/lib/mono/gac/qscintilla
%{_prefix}/lib/mono/gac/qtscript
%{_prefix}/lib/mono/gac/qtwebkit
%{_prefix}/lib/mono/gac/qtuitools
%{_prefix}/lib/mono/gac/phonon
%{_kde_libdir}/libqscintilla-sharp.so
%{_kde_libdir}/libqtscript-sharp.so
%{_kde_libdir}/libqtuitools-sharp.so
%{_kde_libdir}/libqtwebkit-sharp.so
%{_kde_libdir}/libqttest-sharp.so
%{_kde_libdir}/libphonon-sharp.so

#------------------------------------------------------------

%define libqyoto_major 2
%define libqyoto %mklibname qyoto %{libqyoto_major}

%package -n %{libqyoto}
Summary:	Qt generic bindings library
Group:		Development/KDE and Qt

%description -n %{libqyoto}
Qt generic bindings library.

%files -n %{libqyoto}
%{_kde_libdir}/libqyoto.so.%{libqyoto_major}*

#------------------------------------------------------------

%package -n qyoto-devel
Summary:	Header files for qyoto
Group:		Development/KDE and Qt
Provides:	mono-qt4-devel = %{EVRD}
Requires:	qyoto = %{EVRD}
Requires:	%{libqyoto} = %{EVRD}
Conflicts:	qyoto < 1:4.4.95

%description -n qyoto-devel
qyoto devel files.

%files -n qyoto-devel
%{_kde_bindir}/csrcc
%{_kde_bindir}/uics
%{_kde_includedir}/qyoto
%{_kde_libdir}/libqyoto.so
%{_kde_libdir}/pkgconfig/qyoto.pc
%{_kde_libdir}/pkgconfig/qtscript-sharp.pc
%{_kde_libdir}/pkgconfig/qttest-sharp.pc
%{_kde_libdir}/pkgconfig/qtuitools-sharp.pc
%{_kde_libdir}/pkgconfig/qtwebkit-sharp.pc
%{_kde_datadir}/qyoto/cmake/*
%{_kde_datadir}/qyoto/key.snk

#------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog

* Wed Sep 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.14.3-2
- (0b7eb7e) Add qdbus-non-generic patch to fix build with mono 3.x


